Skip to main content
GET
/
{entity}
/
public_treasury
/
{coin_id}
Crypto Treasury Holdings by Coin ID
curl --request GET \
  --url https://api.coingecko.com/api/v3/{entity}/public_treasury/{coin_id} \
  --header 'x-cg-demo-api-key: <api-key>'
{
  "total_holdings": 1272129.0267804659,
  "total_value_usd": 97225044888.65527,
  "market_cap_dominance": 6.06,
  "companies": [
    {
      "name": "Strategy",
      "symbol": "MSTR.US",
      "country": "US",
      "total_holdings": 843738,
      "total_entry_value_usd": 63870055699,
      "total_current_value_usd": 64484706340.107254,
      "percentage_of_total_supply": 4.018
    },
    {
      "name": "XXI",
      "symbol": "XXI.US",
      "country": "US",
      "total_holdings": 43514,
      "total_entry_value_usd": 0,
      "total_current_value_usd": 3325662126.967645,
      "percentage_of_total_supply": 0.207
    }
  ]
}

Notes

SDK Examples

const response = await client.publicTreasury.getCoinID('bitcoin', {
  entity: 'companies',
});

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Path Parameters

entity
enum<string>
default:companies
required

Public company or government entity.

Available options:
companies,
governments
coin_id
string
default:bitcoin
required

Coin ID. e.g. bitcoin, ethereum, solana, binancecoin

Query Parameters

per_page
integer

Total results per page. Default value: 250 Valid values: 1...250

page
integer

Page through results. Default value: 1

order
enum<string>

Sort order for results. Default: total_holdings_usd_desc

Available options:
total_holdings_usd_desc,
total_holdings_usd_asc

Response

200 - application/json

Public companies or governments crypto treasury holdings data

total_holdings
number
required

Total crypto holdings

total_value_usd
number
required

Total crypto holdings value in USD

market_cap_dominance
number
required

Market cap dominance percentage

companies
object[]
required

List of companies holding crypto